## TOOL DESCRIPTION
##
## Mapps the onkeydown and onkey up values for key
## Start the tool from the tool menu, make sure you click in the drawing area, then the values will be printed in teh ruby console window.
## Order is first key at top, last at bottom
##
## Tool copyright Edge LLC Michael Vulpillat
## Edgecons@usa.net
## copyright 2012

## Version history:
## Feb 2012 Original version 1.0 (current)


# Permission to use, copy, modify, and distribute this software without fee is 
# hereby granted for non commercial purpose only and, provided that the above
# copyright notice appear in all copies.
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
# When used or intended to use for commercial purpose, i.e. Monetary benefit
# is received in connection with the use of this software, please contact 
# the author at EDGE LLC, edgecons@usa.net for licensing terms and conditions.


require 'sketchup.rb'

class KeyMapper
    
    def initialize
    end
        
    def onKeyDown(key, repeat, flags, view)
					print "onKeyDown: key = " + key.to_s
					print " - repeat = " + repeat.to_s
					puts " - flags = " + flags.to_s
		#			puts "          view = " + view.to_s
    end
        
    def onKeyUp(key, repeat, flags, view)
					print "onKeyUp: key = " + key.to_s
					print " - repeat = " + repeat.to_s
					puts " - flags = " + flags.to_s
		#			puts "          view = " + view.to_s

		end
        
    
end#End class

if( not file_loaded?("KeyMapper.rb") )

#### Menu
UI.menu("Tools").add_item("Key Mapper") { Sketchup.active_model.select_tool KeyMapper.new }
### End menu block
end
file_loaded("KeyMapper.rb")